# Uses of Interface
org.jboss.classfilewriter.ClassFactory

Packages that use ClassFactory
Package
Description
org.jboss.classfilewriter

## Uses of ClassFactory in org.jboss.classfilewriter

Constructors in org.jboss.classfilewriter with parameters of type ClassFactory
Modifier
Constructor
Description
``
`ClassFile(String name, int accessFlags, String superclass, int version, ClassLoader classLoader, ClassFactory classFactory, String... interfaces)`
``
`ClassFile(String name, int accessFlags, String superclass, ClassLoader classLoader, ClassFactory classFactory, String... interfaces)`
``
`ClassFile(String name, String superclass, ClassLoader classLoader, ClassFactory classFactory, String... interfaces)`